Description

Related to #31147.

Before:

 before.png 

On hover there is no effect.

After:

 after.png 

On hover:

 after-hover.png 

Any feedback is welcome.

Related issues:

Related to Redmine - Patch #31147: Add custom styles for all fields Closed

Associated revisions

Revision 18110 - 2019-04-30 10:15 - Go MAEDA

Add hover styles to buttons (#31204).

Patch by Marius BALTEANU.

History

#1 - 2019-04-15 22:11 - Marius BĂLTEANU

- Related to Patch #31147: Add custom styles for all fields added

#2 - 2019-04-16 09:24 - Bernhard Rohloff

- File buttons-vs-input-fields.png added

The patch looks a bit odd in my case, because it sets the font size only for the buttons but not for the other input fields.

I think it would be better to set the font-size either for all input fields or for none.

Adding a transition to the hover effect would be a nice icing on the cake. :-)

 buttons-vs-input-fields.png 

#3 - 2019-04-17 19:27 - Marius BĂLTEANU

- File 0001-Styles-for-buttons.patch added

Bernhard Rohloff wrote:

The patch looks a bit odd in my case, because it sets the font size only for the buttons but not for the other input fields.

I think it would be better to set the font-size either for all input fields or for none.

Adding a transition to the hover effect would be a nice icing on the cake. :-)

 My bad, sorry for adding the font-size rule.

I've updated the patch:

- removed the font-size rule

- included a basic transition
Bernhard, please feel free to propose improvements to my patch.

#4 - 2019-04-17 19:28 - Marius BĂLTEANU

- File deleted (0001-Styles-for-buttons.patch)

#5 - 2019-04-17 19:29 - Marius BĂLTEANU

Bernhard Rohloff wrote:

I think it would be better to set the font-size either for all input fields or for none.

 I think it is a good idea to add the font-size to all input elements and remove the hardcoded height added by my patches, but I'll try to do it in the near

future.

#6 - 2019-04-18 16:40 - Bernhard Rohloff

I've tested you changes and I think it looks really great now. LGTM!

#7 - 2019-04-18 18:05 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

#8 - 2019-04-21 11:28 - Marius BĂLTEANU

- Subject changed from Add custom styles to buttons to Add hover styles to buttons

#9 - 2019-04-30 09:17 - Go MAEDA

- Assignee set to Marius BĂLTEANU

Thank you for the nice improvement. For me, the background color #ddd is a bit too dark. What do you think if the color is changed to #e4e4e4? This

is the same color with the border color of some objects such as div.box, table.list, and fieldset.

Index: public/stylesheets/application.css

===================================================================

--- public/stylesheets/application.css    (リビジョン 18106)

+++ public/stylesheets/application.css    (作業コピー)

@@ -461,7 +461,19 @@

   padding-right: 20px;

 }

 input[type="file"] {border: 0; padding-left: 0; padding-right: 0;}

-input[type="submit"] {-webkit-appearance: button; cursor: pointer; background-color: #fff;}

+input[type="submit"] {

+  -webkit-appearance: button;

+  cursor: pointer;

+  background-color: #fff;

+  height: 28px;

+  -webkit-transition: background-color 100ms linear;

+  -moz-transition: background-color 100ms linear;

+  -o-transition: background-color 100ms linear;

+  transition: background-color 100ms linear;

+}

+input[type="submit"]:hover {

+  background-color: #e4e4e4;

+}

 select[multiple=multiple] {background: #fff; padding-right: initial; height: auto;}

 fieldset {border: 1px solid #e4e4e4; margin:0; min-width: inherit;}

 legend {color: #333;}

</diff>

#10 - 2019-04-30 10:02 - Marius BĂLTEANU

I'm ok with any option.

I took the '#ddd' from pagination buttons, maybe we should merge the styles in another ticket.

#11 - 2019-04-30 10:08 - Go MAEDA

- Assignee deleted (Marius BĂLTEANU)

Marius BALTEANU wrote:
I'm ok with any option.

I took the '#ddd' from pagination buttons, maybe we should merge the styles in another ticket.

 Thank you for the clarification. Knowing the reason, I think #ddd is appropriate now.

#12 - 2019-04-30 10:15 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thanks.
